DROP TABLE IF EXISTS `gm_configuration`;
CREATE TABLE `gm_configuration` (
	`gm_configuration_id` int(11) NOT NULL AUTO_INCREMENT,
	`gm_key` varchar(255) NOT NULL DEFAULT '',
	`gm_value` mediumtext NOT NULL,
	`gm_group_id` int(11) NOT NULL DEFAULT '0',
	`gm_sort_order` int(5) NOT NULL DEFAULT '0',
	PRIMARY KEY (`gm_configuration_id`),
	UNIQUE KEY `gm_key` (`gm_key`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


INSERT INTO `gm_configuration` (`gm_key`,gm_value) VALUES
	('ATTACH_CONDITIONS_OF_USE_IN_ORDER_CONFIRMATION', '1'),
	('ATTACH_PRIVACY_NOTICE_IN_ORDER_CONFIRMATION', '1'),
	('ATTACH_WITHDRAWAL_FORM_IN_ORDER_CONFIRMATION', '1'),
	('ATTACH_WITHDRAWAL_INFO_IN_ORDER_CONFIRMATION', '1'),
	('CAT_MENU_CLASSIC', 'false'),
	('CAT_MENU_LEFT', 'false'),
	('CAT_MENU_TOP', 'true'),
	('CATEGORY_ACCORDION_EFFECT', 'false'),
	('CATEGORY_DISPLAY_SHOW_ALL_LINK', 'false'),
	('CATEGORY_UNFOLD_LEVEL', '0'),
	('CATEGORY_TOP_SHOW_LEVEL',  '2'),
	('CUSTOMIZER_POSITION', '1'),
	('DISPLAY_TAX', '1'),
	('EKOMI_API_ID', ''),
	('EKOMI_API_PASSWORD', ''),
	('EKOMI_STATUS', '0'),
	('EKOMI_WIDGET_CODE', ''),
	('ENABLE_RATING', 'true'),
	('FEATURE_DISPLAY_MODE', '0'),
	('FEATURE_EMPTY_BOX_MODE', '0'),
	('FEATURE_MODE', '0'),
	('GLOBAL_FILTER', '0'),
	('GM_ANALYTICS_CODE', ''),
	('GM_ANALYTICS_CODE_USE', '0'),
	('GM_AUTO_SHIPPING_STATUS', 'true'),
	('GM_CALLBACK_SERVICE_VVCODE', 'true'),
	('GM_CAPTCHA_TYPE', 'standard'),
	('GM_CART_ON_TOP', 'true'),
	('GM_CAT_HOVER', '#b3ccdd'),
	('GM_CHECK_CONDITIONS', '1'),
	('GM_CHECK_PRIVACY_ACCOUNT_ADDRESS_BOOK', '1'),
	('GM_CHECK_PRIVACY_ACCOUNT_CONTACT', '1'),
	('GM_CHECK_PRIVACY_ACCOUNT_NEWSLETTER', '1'),
	('GM_CHECK_PRIVACY_CALLBACK', '1'),
	('GM_CHECK_PRIVACY_CHECKOUT_PAYMENT', '1'),
	('GM_CHECK_PRIVACY_CHECKOUT_SHIPPING', '1'),
	('GM_CHECK_PRIVACY_CONTACT', '1'),
	('GM_CHECK_PRIVACY_FOUND_CHEAPER', '1'),
	('GM_CHECK_PRIVACY_ORDER', '0'),
	('GM_CHECK_PRIVACY_REVIEWS', '1'),
	('GM_CHECK_PRIVACY_TELL_A_FRIEND', '1'),
	('GM_CHECK_WITHDRAWAL', '1'),
	('GM_COOKIE_STATUS', 'false'),
	('GM_COOKIE_POSITION', 'top'),
	('GM_COOKIE_COLOR', '#ffffff'),
	('GM_COOKIE_TRANSPARENCY', '1'),
	('GM_COOKIE_CLOSE_ICON', 'false'),
	('GM_COOKIE_BUTTON_TEXT_COLOR', '#ffffff'),
	('GM_COOKIE_BUTTON_COLOR', '#2196F3'),
	('GM_CONFIRM_IP', '1'),
	('GM_CONTACT_VVCODE', 'true'),
	('GM_COUNTER_IP_BARRIER', '86400'),
	('GM_FORGOT_PASSWORD_VVCODE', 'true'),
	('GM_GAMBIO_CORNER', '1'),
	('GM_GMOTION_STANDARD_AUTO_WIDTH', '1'),
	('GM_GMOTION_STANDARD_DURATION', '10'),
	('GM_GMOTION_STANDARD_HEIGHT', '200'),
	('GM_GMOTION_STANDARD_LIGHTBOX', '1'),
	('GM_GMOTION_STANDARD_LIGHTBOX_HEIGHT', '400'),
	('GM_GMOTION_STANDARD_LIGHTBOX_WIDTH', '700'),
	('GM_GMOTION_STANDARD_LIGHTBOX_ZOOM_FROM', '1'),
	('GM_GMOTION_STANDARD_LIGHTBOX_ZOOM_TO', '1'),
	('GM_GMOTION_STANDARD_POSITION', '3'),
	('GM_GMOTION_STANDARD_POSITION_FROM', '0% 50%'),
	('GM_GMOTION_STANDARD_POSITION_TO', '100% 50%'),
	('GM_GMOTION_STANDARD_WIDTH', '351'),
	('GM_GMOTION_STANDARD_ZOOM_FROM', '1'),
	('GM_GMOTION_STANDARD_ZOOM_TO', '1'),
	('GM_GPRINT_ALLOWED_FILE_EXTENSIONS', 'jpg,png,gif,jpeg'),
	('GM_GPRINT_AUTO_WIDTH', '1'),
	('GM_GPRINT_CHARACTER_LENGTH', '0'),
	('GM_GPRINT_EXCLUDE_SPACES', '1'),
	('GM_GPRINT_SHOW_PRODUCTS_DESCRIPTION', '1'),
	('GM_GPRINT_SHOW_TABS', '1'),
	('GM_GPRINT_UPLOADS_PER_IP', '0'),
	('GM_GPRINT_UPLOADS_PER_IP_INTERVAL', '60'),
	('GM_HIDE_ATTR_OUT_OF_STOCK', '0'),
	('GM_INVOICE_ID', CONCAT('R_{INVOICE_ID}_',YEAR(CURDATE()))),
	('GM_LIGHTBOX_CART', 'false'),
	('GM_LIGHTBOX_CHECKOUT', 'false'),
	('GM_LIGHTBOX_CREATE_ACCOUNT', 'false'),
	('GM_LOG_IP', '0'),
	('GM_LOGIN_TIMELINE', '20'),
	('GM_LOGIN_TIMEOUT', '20'),
	('GM_LOGIN_TRYOUT', '2'),
	('GM_LOGO_CAT', 'item_ltr.gif'),
	('GM_LOGO_CAT_SIZE_H', '13'),
	('GM_LOGO_CAT_SIZE_W', '5'),
	('GM_LOGO_CAT_USE', '1'),
	('GM_LOGO_FAVICON', 'favicon.ico'),
	('GM_LOGO_FAVICON_IPAD', 'favicon.png'),
	('GM_LOGO_FAVICON_IPAD_USE', '0'),
	('GM_LOGO_FAVICON_USE', '1'),
	('GM_LOGO_FLASH', ''),
	('GM_LOGO_FLASH_SIZE_H', '600'),
	('GM_LOGO_FLASH_SIZE_W', '160'),
	('GM_LOGO_FLASH_USE', '0'),
	('GM_LOGO_MAIL', 'email_logo.gif'),
	('GM_LOGO_MAIL_USE', '1'),
	('GM_LOGO_OVERLAY', 'overlay.gif'),
	('GM_LOGO_OVERLAY_USE', '0'),
	('GM_LOGO_PDF', 'pdf_logo.gif'),
	('GM_LOGO_PDF_USE', '1'),
	('GM_LOGO_SHOP', 'shop_logo.gif'),
	('GM_LOGO_SHOP_SIZE_H', '96'),
	('GM_LOGO_SHOP_SIZE_W', '142'),
	('GM_LOGO_SHOP_USE', '1'),
	('GM_NEW_PRODUCTS_STARTPAGE', '3'),
	('GM_NEWSLETTER_VVCODE', 'true'),
	('GM_NEXT_INVOICE_ID', '1'),
	('GM_NEXT_PACKINGS_ID', '1'),
	('GM_OPENSEARCH_BOX', '1'),
	('GM_OPENSEARCH_CHANGED', '1'),
	('GM_OPENSEARCH_SEARCH', '1'),
	('GM_ORDER_STATUS_CANCEL_ID', '99'),
	('GM_ORDER_STATUS_INVOICE_CREATED_ID', '149'),
	('GM_PACKINGS_ID', CONCAT('R_{DELIVERY_ID}_',YEAR(CURDATE()))),
	('GM_PASSWORD_ENCRYPTION_TYPE', "password_hash"),
	('GM_PASSWORD_REENCRYPT', "true"),
	('GM_PDF_ALLOW_COPYING', '1'),
	('GM_PDF_ALLOW_MODIFYING', '1'),
	('GM_PDF_ALLOW_NOTIFYING', '1'),
	('GM_PDF_BOTTOM_MARGIN', '10'),
	('GM_PDF_CANCEL_FONT_COLOR', '#000000'),
	('GM_PDF_CANCEL_FONT_FACE', 'freesans'),
	('GM_PDF_CANCEL_FONT_SIZE', '11'),
	('GM_PDF_CANCEL_FONT_STYLE', 'b'),
	('GM_PDF_CELL_HEIGHT', '5'),
	('GM_PDF_COMPANY_ADRESS_LEFT', ''),
	('GM_PDF_COMPANY_ADRESS_RIGHT', ''),
	('GM_PDF_COMPANY_LEFT_FONT_COLOR', '#000000'),
	('GM_PDF_COMPANY_LEFT_FONT_FACE', 'freesans'),
	('GM_PDF_COMPANY_LEFT_FONT_SIZE', '9'),
	('GM_PDF_COMPANY_LEFT_FONT_STYLE', 'u'),
	('GM_PDF_COMPANY_RIGHT_FONT_COLOR', '#000000'),
	('GM_PDF_COMPANY_RIGHT_FONT_FACE', 'freesans'),
	('GM_PDF_COMPANY_RIGHT_FONT_SIZE', '11'),
	('GM_PDF_COMPANY_RIGHT_FONT_STYLE', ''),
	('GM_PDF_CONDITIONS', ''),
	('GM_PDF_CONDITIONS_FONT_COLOR', '#000000'),
	('GM_PDF_CONDITIONS_FONT_FACE', 'freesans'),
	('GM_PDF_CONDITIONS_FONT_SIZE', '11'),
	('GM_PDF_CONDITIONS_FONT_STYLE', ''),
	('GM_PDF_CUSTOMER_ADR_POS', '50'),
	('GM_PDF_CUSTOMER_FONT_COLOR', '#000000'),
	('GM_PDF_CUSTOMER_FONT_FACE', 'freesans'),
	('GM_PDF_CUSTOMER_FONT_SIZE', '11'),
	('GM_PDF_CUSTOMER_FONT_STYLE', ''),
	('GM_PDF_DEFAULT_FONT_COLOR', '#000000'),
	('GM_PDF_DEFAULT_FONT_FACE', 'freesans'),
	('GM_PDF_DEFAULT_FONT_SIZE', '11'),
	('GM_PDF_DEFAULT_FONT_STYLE', 'b'),
	('GM_PDF_DISPLAY_LAYOUT', 'continuous'),
	('GM_PDF_DISPLAY_OUTPUT', 'I'),
	('GM_PDF_DISPLAY_ZOOM', 'real'),
	('GM_PDF_DRAW_COLOR', '#0065AC'),
	('GM_PDF_FIX_HEADER', '1'),
	('GM_PDF_FOOTER_CELL_1', ''),
	('GM_PDF_FOOTER_CELL_2', ''),
	('GM_PDF_FOOTER_CELL_3', ''),
	('GM_PDF_FOOTER_CELL_4', ''),
	('GM_PDF_FOOTER_FONT_COLOR', '#000000'),
	('GM_PDF_FOOTER_FONT_FACE', 'freesans'),
	('GM_PDF_FOOTER_FONT_SIZE', '10'),
	('GM_PDF_FOOTER_FONT_STYLE', ''),
	('GM_PDF_HEADING_CONDITIONS', ''),
	('GM_PDF_HEADING_CONDITIONS_FONT_COLOR', '#000000'),
	('GM_PDF_HEADING_CONDITIONS_FONT_FACE', 'freesans'),
	('GM_PDF_HEADING_CONDITIONS_FONT_SIZE', '11'),
	('GM_PDF_HEADING_CONDITIONS_FONT_STYLE', 'b'),
	('GM_PDF_HEADING_FONT_COLOR', '#000000'),
	('GM_PDF_HEADING_FONT_FACE', 'freesans'),
	('GM_PDF_HEADING_FONT_SIZE', '11'),
	('GM_PDF_HEADING_FONT_STYLE', 'b'),
	('GM_PDF_HEADING_INFO_TEXT_INVOICE', ''),
	('GM_PDF_HEADING_INFO_TEXT_PACKINGSLIP', ''),
	('GM_PDF_HEADING_INVOICE', ''),
	('GM_PDF_HEADING_MARGIN_BOTTOM', '15'),
	('GM_PDF_HEADING_MARGIN_TOP', '15'),
	('GM_PDF_HEADING_ORDER_FONT_COLOR', '#000000'),
	('GM_PDF_HEADING_ORDER_FONT_FACE', 'freesans'),
	('GM_PDF_HEADING_ORDER_FONT_SIZE', '10'),
	('GM_PDF_HEADING_ORDER_FONT_STYLE', 'b'),
	('GM_PDF_HEADING_ORDER_INFO_FONT_COLOR', '#000000'),
	('GM_PDF_HEADING_ORDER_INFO_FONT_FACE', 'freesans'),
	('GM_PDF_HEADING_ORDER_INFO_FONT_SIZE', '11'),
	('GM_PDF_HEADING_ORDER_INFO_FONT_STYLE', 'b'),
	('GM_PDF_HEADING_PACKINGSLIP', ''),
	('GM_PDF_HEADING_WITHDRAWAL', ''),
	('GM_PDF_INFO_TEXT_INVOICE', ''),
	('GM_PDF_INFO_TEXT_PACKINGSLIP', ''),
	('GM_PDF_INFO_TITLE_INVOICE', ''),
	('GM_PDF_INFO_TITLE_PACKINGSLIP', ''),
	('GM_PDF_INVOICE_USE_CURRENT_DATE', '1'),
	('GM_PDF_INVOICE_DATE', ''),
	('GM_PDF_LEFT_MARGIN', '10'),
	('GM_PDF_LOGO_SRC', 'pdf_logo.gif'),
	('GM_PDF_ORDER_FONT_COLOR', '#000000'),
	('GM_PDF_ORDER_FONT_FACE', 'freesans'),
	('GM_PDF_ORDER_FONT_SIZE', '10'),
	('GM_PDF_ORDER_FONT_STYLE', ''),
	('GM_PDF_ORDER_INFO_FONT_COLOR', '#000000'),
	('GM_PDF_ORDER_INFO_FONT_FACE', 'freesans'),
	('GM_PDF_ORDER_INFO_FONT_SIZE', '11'),
	('GM_PDF_ORDER_INFO_FONT_STYLE', ''),
	('GM_PDF_ORDER_INFO_MARGIN_TOP', '30'),
	('GM_PDF_ORDER_STATUS_INVOICE', '149'),
	('GM_PDF_ORDER_STATUS_INVOICE_MAIL', '149'),
	('GM_PDF_ORDER_TOTAL_FONT_COLOR', '#000000'),
	('GM_PDF_ORDER_TOTAL_FONT_FACE', 'freesans'),
	('GM_PDF_ORDER_TOTAL_FONT_SIZE', '11'),
	('GM_PDF_ORDER_TOTAL_FONT_STYLE', ''),
	('GM_PDF_PACKING_SLIP_USE_CURRENT_DATE', '1'),
	('GM_PDF_PACKING_SLIP_DATE', ''),
	('GM_PDF_RIGHT_MARGIN', '10'),
	('GM_PDF_TOP_MARGIN', '10'),
	('GM_PDF_MAX_AMOUNT_INVOICES_BULK_PDF', '100'),
	('GM_PDF_MAX_AMOUNT_PACKING_SLIPS_BULK_PDF', '100'),
	('GM_PDF_USE_CONDITIONS', '1'),
	('GM_PDF_USE_CUSTOMER_CODE', '1'),
	('GM_PDF_USE_CUSTOMER_COMMENT', '1'),
	('GM_PDF_USE_DATE', '1'),
	('GM_PDF_USE_FOOTER', '1'),
	('GM_PDF_USE_HEADER', '1'),
	('GM_PDF_USE_INFO', '1'),
	('GM_PDF_USE_INFO_TEXT', '1'),
	('GM_PDF_USE_INVOICE_CODE', '1'),
	('GM_PDF_USE_ORDER_CODE', '1'),
	('GM_PDF_USE_ORDER_DATE', '1'),
	('GM_PDF_USE_PACKING_CODE', '1'),
	('GM_PDF_USE_PRODUCTS_MODEL', '1'),
	('GM_PDF_USE_WITHDRAWAL', '1'),
	('GM_PDF_WITHDRAWAL', ''),
	('GM_PRICE_OFFER_VVCODE', 'true'),
	('GM_QUICK_SEARCH', 'true'),
	('GM_RECAPTCHA_PRIVATE_KEY', ''),
	('GM_RECAPTCHA_PUBLIC_KEY', ''),
	('GM_REVIEWS_VVCODE', 'true'),
	('GM_SEARCH_TIMELINE', '20'),
	('GM_SEARCH_TIMEOUT', '20'),
	('GM_SEARCH_TRYOUT', '2'),
	('GM_SEO_BOOST_CATEGORIES', ''),
	('GM_SEO_BOOST_CONTENT', ''),
	('GM_SEO_BOOST_PRODUCTS', ''),
	('GM_SEO_BOOST_SHORT_URLS', 'false'),
	('GM_SET_OUT_OF_STOCK_PRODUCTS_INACTIVE', '0'),
	('GM_SHOP_OFFLINE', ''),
	('GM_SHOP_OFFLINE_MSG', '<p><font face="Arial" size="2">Unser Shop ist aufgrund von Wartungsarbeiten im Moment nicht erreichbar.<br />\r\n</font><font face="Arial" size="2">Bitte besuchen Sie uns zu einem späteren Zeitpunkt noch einmal.</font><br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n<a href="login_admin.php"><font color="#808080">Login</font></a></p>'),
	('GM_SHOW_ATTRIBUTES_STOCK', '0'),
	('GM_SHOW_CONDITIONS', '1'),
	('GM_SHOW_CONDITIONS_CONFIRMATION', '1'),
	('GM_SHOW_FLYOVER', '1'),
	('GM_SHOW_IP', '0'),
	('GM_SHOW_PRIVACY_CONFIRMATION', '1'),
	('GM_SHOW_PRIVACY_ORDER', '0'),
	('GM_SHOW_PRIVACY_REGISTRATION', '1'),
	('GM_SHOW_PRIVACY_WITHDRAWAL_WEB_FORM', '1'),
	('GM_SHOW_PRIVACY_GV_SEND', '1'),
	('GM_SHOW_WISHLIST', 'true'),
	('GM_SHOW_WITHDRAWAL', '1'),
	('GM_SHOW_WITHDRAWAL_CONFIRMATION', '1'),
	('GM_SITEMAP_GOOGLE_CHANGEFREQ', 'weekly'),
	('GM_SITEMAP_GOOGLE_PRIORITY', '0.5'),
	('GM_SPECIALS_STARTPAGE', '6'),
	('GM_STARTPAGE_HOVER', '#b3ccdd'),
	('GM_STAT_PLOT_HEIGHT', '480'),
	('GM_STAT_PLOT_WIDTH', '640'),
	('GM_TELL_A_FRIEND', 'false'),
	('GM_TELL_A_FRIEND_VVCODE', 'true'),
	('GM_TEMPLATE_NAME', 'xtc4'),
	('GM_TITLE_SHOW_STANDARD_META_TITLE', 'before'),
	('GM_TITLE_USE_STANDARD_META_TITLE', '1'),
	('GM_TOPMENU_MODE', 'mode1'),
	('GM_UNDERLINE_LINKS', 'true'),
	('GM_WITHDRAWAL_CONTENT_ID', '3889895'),
	('GM_WITHDRAWAL_CONTENT_ID_BACKUP', '9'),
	('GOOGLE_TAXONOMY_FILE_PATH', 'http://www.google.com/basepages/producttype/taxonomy.de-DE.txt'),
	('LANGUAGE_PHRASE_CACHE_PRIORITIES', 'original_sections,module_sections,user_sections,language_phrases_edited'),
	('MAIL_TEMPLATES_CACHE_PRIORITIES', 'original_mail_templates,user_mail_templates,email_templates_edited'),
	('MAIN_SHOW_ATTRIBUTES', 'false'),
	('MAIN_SHOW_GRADUATED_PRICES', 'false'),
	('MAIN_SHOW_QTY', 'true'),
	('MAIN_SHOW_QTY_INFO', 'false'),
	('MAIN_VIEW_MODE_TILED', 'false'),
	('NUMBER_OF_CUSTOMERS_PER_PAGE', '20'),
	('NUMBER_OF_ORDERS_PER_PAGE', '20'),
	('NUMBER_OF_PRODUCTS_PER_PAGE', '20'),
	('PERSISTENT_GLOBAL_FILTER', '0'),
	('POPUP_NOTIFICATION_STATUS', '0'),
	('PRICE_FILTER_FROM_ACTIVE', 'true'),
	('PRICE_FILTER_TO_ACTIVE', 'true'),
	('SECURE_TOKEN', md5(rand())),
	('SHIPPING_INFOS_BACKUP', '1'),
	('SHOW_ACCOUNT_WITHDRAWAL_LINK', '0'),
	('SHOW_ADDITIONAL_FIELDS_PRODUCT_DETAILS', 'true'),
	('SHOW_FACEBOOK', 'false'),
	('SHOW_WHATSAPP', 'false'),
	('SHOW_FOOTER', 'false'),
	('SHOW_GALLERY', 'true'),
	('SHOW_GOOGLEPLUS', 'false'),
	('SHOW_MANUFACTURER_IMAGE_LISTING', 'true'),
	('SHOW_MANUFACTURER_IMAGE_PRODUCT_DETAILS', 'true'),
	('SHOW_OLD_DISCOUNT_PRICE', '1'),
	('SHOW_OLD_GROUP_PRICE', '0'),
	('SHOW_OLD_SPECIAL_PRICE', '0'),
	('SHOW_PINTEREST', 'false'),
	('SHOW_PRINT', 'false'),
	('SHOW_PRODUCTS_COUNT', 'false'),
	('SHOW_PRODUCT_RIBBONS', 'true'),
	('SHOW_RATING_IN_GRID_AND_LISTING', 'true'),
	('SHOW_SUBCATEGORIES', 'true'),
	('SHOW_TOP_COUNTRY_SELECTION', 'true'),
	('SHOW_TOP_CURRENCY_SELECTION', 'false'),
	('SHOW_TWITTER', 'false'),
	('SHOW_ZOOM', 'true'),
	('STARTPAGE_FILTER_ACTIVE', '0'),
	('SUPPRESS_INDEX_IN_URL', 'true'),
	('TAX_INFO_TAX_FREE', 'false'),
	('TOPBAR_NOTIFICATION_COLOR', '#ffffff'),
	('TOPBAR_NOTIFICATION_MODE', 'hideable'),
	('TOPBAR_NOTIFICATION_STATUS', '0'),
	('TRUNCATE_FLYOVER', '35'),
	('TRUNCATE_FLYOVER_TEXT', '150'),
	('TRUNCATE_PRODUCTS_HISTORY', '16'),
	('TRUNCATE_PRODUCTS_NAME', '40'),
	('TRUSTED_SHOP_ID', ''),
	('UPLOAD_CONTENT_EXTENSIONS', 'html,htm,xhtml,xml,txt,js,pdf'),
	('USE_SEO_BOOST_LANGUAGE_CODE', ''),
	('WITHDRAWAL_PDF_ACTIVE', '1'),
	('WITHDRAWAL_WEBFORM_ACTIVE', '0'),
	('ALWAYS_SHOW_CONTINUE_SHOPPING_BUTTON', '0'),
	('USE_UPCOMING_PRODUCT_SWIPER_ON_INDEX', 'true'),
	('USE_TOP_PRODUCT_SWIPER_ON_INDEX', 'true'),
	('USE_SPECIAL_PRODUCT_SWIPER_ON_INDEX', 'false'),
	('USE_NEW_PRODUCT_SWIPER_ON_INDEX', 'true'),
	('PRIVACY_CHECKBOX_REGISTRATION', '0'),
	('PRIVACY_CHECKBOX_CALLBACK', '0'),
	('PRIVACY_CHECKBOX_CONTACT', '0'),
	('PRIVACY_CHECKBOX_ASK_PRODUCT_QUESTION', '0'),
	('PRIVACY_CHECKBOX_FOUND_CHEAPER', '0'),
	('PRIVACY_CHECKBOX_REVIEWS', '0'),
	('PRIVACY_CHECKBOX_ACCOUNT_EDIT', '0'),
	('PRIVACY_CHECKBOX_ADDRESS_BOOK', '0'),
	('PRIVACY_CHECKBOX_NEWSLETTER', '0'),
	('PRIVACY_CHECKBOX_CHECKOUT_SHIPPING', '0'),
	('PRIVACY_CHECKBOX_CHECKOUT_PAYMENT', '0'),
	('PRIVACY_CHECKBOX_WITHDRAWAL_WEB_FORM', '0'),
	('PRIVACY_CHECKBOX_GV_SEND', '0'),
	('DATA_TRANSFER_TO_TRANSPORT_COMPANIES_STATUS', '0'),
	('DATA_TRANSFER_TO_TRANSPORT_COMPANIES_REQUIRED', '0'),
	('DATA_TRANSFER_TO_TRANSPORT_COMPANIES_SETTINGS', 'a:0:{}'),
	('GAMBIO_HUB_CLIENT_KEY', ''),
	('GAMBIO_HUB_MONEY_ORDER_PAY_TO', ''),
	('GAMBIO_HUB_ALLOW_REST_ACTIONS', '0'),
	('USE_SMALLER_IMAGES_FOR_PRODUCTS', 'false'),
	('GRADUATED_ASSIGN', '1'),
	('LAST_NEW_SHOP_URL_NOTIFY', '0'),
	('GAMBIO_HUB_CURL_TIMEOUT', '10'),
	('GM_RECOMMENDED_PRODUCTS_STARTPAGE', '10'),
	('GAMBIO_HUB_PHRASES_URL', 'https://core-api.gambiohub.com/trust/hub_phrases.json'),
	('MODULE_CENTER_RESPONSIVEFILEMANAGER_INSTALLED', '1'),
	('SHOW_ABANDONMENT_OF_WITHDRAWL_DOWNLOAD', '1'),
	('SHOW_ABANDONMENT_OF_WITHDRAWL_SERVICE', '1'),
	('CHECK_ABANDONMENT_OF_WITHDRAWL_DOWNLOAD', '0'),
	('CHECK_ABANDONMENT_OF_WITHDRAWL_SERVICE', '0'),
	('MODULE_CENTER_GAMBIOSUNNYCASH_INSTALLED', '1'),
	('GM_CREATE_ACCOUNT_VVCODE', 'false'),
	('GM_CREATE_GUEST_ACCOUNT_VVCODE', 'false'),
	('PRODUCT_REVIEW_NAME', 'short_nothing'),
	('UPDATE_DOWNLOADER_CHECK_URL', 'https://updates.gambio-support.de/v2/check.php'),
	('UPDATE_DOWNLOADER_NOTIFY_URL', 'https://updates.gambio-support.de/v2/callingHome.php'),
	('LOG_IP_CALLBACK', '0'),
	('LOG_IP_CONTACT', '0'),
	('LOG_IP_TELL_A_FRIEND', '0'),
	('LOG_IP_FOUND_CHEAPER', '0'),
	('LOG_IP_REVIEWS', '0'),
	('LOG_IP_ACCOUNT_CONTACT', '0'),
	('LOG_IP_ACCOUNT_ADDRESS_BOOK', '0'),
	('LOG_IP_ACCOUNT_NEWSLETTER', '0'),
	('LOG_IP_WITHDRAWAL_WEB_FORM', '0'),
	('LOG_IP_GV_SEND', '0'),
	('LOG_IP_SHIPPING', '0'),
	('LOG_IP_ORDER_SHIPPING_ADDRESS', '0'),
	('LOG_IP_ORDER_PAYMENT_ADDRESS', '0'),
	('SHOW_PRODUCTS_MODEL_IN_SHOPPING_CART_AND_WISHLIST', 'false'),
	('SHOW_PRODUCTS_MODEL_IN_PRODUCT_DETAILS', 'true'),
	('SHOW_PRODUCTS_MODEL_IN_PRODUCT_LISTS', 'false'),
	('SHOW_RATING_AS_TAB', 'false'),
	('CATEGORY_UNFOLD_DEFAULT_LEVEL', '10'),
	('MODULE_CENTER_GAMBIODIRECTHELP_INSTALLED', '1'),
	('GALLERY_LIGHTBOX', 'false'),
	('ENABLE_JS_HYPHENATION', 'false');
